
#if !defined( internaltexture_h )
#define internaltexture_h

#include "glut-start.h"

#include <GL/GL.h>

class InternalTexture
{
public:
  InternalTexture( ) :
    mParent( 0 ),
    mLeft( 0 ),
    mRight( 0 ),
    mTexId( 0 ),
    mRefCount( 0 ),
    mMipmaps( false ),
    mClamp( false ),
    mTarget( 0 )
    {
      mPath[ 0 ] = 0;
    }
  ~InternalTexture( )
    {
    }

  bool                consistent( ) const
                        {
                          return mTexId != 0;
                        }

  InternalTexture *   mParent;
  InternalTexture *   mLeft;
  InternalTexture *   mRight;
  GLuint              mTexId;
  short               mRefCount;
  short               mWidth;
  short               mHeight;
  short               mBits;
  bool                mMipmaps;
  bool                mClamp;
  short               mReserved_[ 1 ];
  GLenum              mTarget;
  char                mPath[ PathLengthMax ];
};


#endif // internaltexture_h
