
#if !defined( mydxt_h )
#define mydxt_h

//  Decompress S3TC data found at "src" into 32-bit bitmap at "dst".
//  If dxt1 is true, decompress as 64-bits-per-block DXT1, else decompress 
//  as 128-bits-per-block DXT5 (interpolated alpha followed by color).
//  Output is in BGRA format.
void dxt_decompress( unsigned char const * src, int w, int h, unsigned char * dst, bool dxt1 );
void dxt_flip_data( unsigned char * dst, int w, int h, bool dxt1 );

#endif  //  mydxt_h
