
#if !defined( myprop_h )
#define myprop_h

#include "mymath.h"
#include "gl-ase.h"
#include "glshaderstate.h"
#include "scene.h"

class MyProp : public I_SceneNode {
  public:
    MyProp();
    MyProp( I_GL_ASE * ase, GLShader * shader, Matrix4 const & posOri, I_Scene * scene );
    void init( I_GL_ASE * ase, GLShader * shader, Matrix4 const & posOri, I_Scene * scene );
    ~MyProp();
    void render() const;
    void properties( Bounds * outBounds, float * outRadius );
  protected:
    I_GL_ASE * mesh_;
    GLShader * shader_;
    Matrix4 posOri_;
    SceneRef ref_;
};


#endif  //  myprop_h
