
#if !defined( log_h )
#define log_h

#include "glut-start.h"

#include <stdlib.h>

enum {
  LogFilterError,
  LogFilterWarning,
  LogFilterInfo,
  LogFilterDebug,
  LogFilterNone
};

void initLog( char const *, int, void(*warnFunc)(char const *) );

void error( char const *, ... );
void warning( char const *, ... );
void info( char const *, ... );
void debug( char const *, ... );

#endif  //  log_h
