
#include "log.h"


void warning( char const * fmt, ... ) {
  va_list vl;
  va_start( vl, fmt );
  char line[ 1024 ];
  vsprintf( line, fmt, vl );
  line[1023] = 0;
  fprintf( stderr, "warning: %s\n", line );
}

void error( char const * fmt, ... ) {
  va_list vl;
  va_start( vl, fmt );
  char line[ 1024 ];
  vsprintf( line, fmt, vl );
  line[1023] = 0;
  fprintf( stderr, "error: %s\n", line );
  exit( 1 );
}
