
#section context

blend src_alpha one_minus_src_alpha
alphaTest GREATER 0.01
depthTest disable
depthWrite disable

#section defaults

diffuseMap "media/missing.dds"

#section vertex-shader

void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_MultiTexCoord0;
}

#section fragment-shader

uniform sampler2D diffuseMap;

void main()
{
	vec4 color = texture2D(
			diffuseMap,
			gl_TexCoord[0].xy );
	gl_FragColor = color;
}

