

#include "misc.h"

#if defined( WIN32 )
 #include <windows.h>
#endif
#include <stdlib.h>


static char userName[ 64 ];

void SetUserName( char const * name )
{
  strncpy( userName, name, sizeof(userName) );
  userName[sizeof(userName)-1] = 0;
}

char const * UserName()
{
  if( userName[0] ) return userName;
#if defined( WIN32 )
  DWORD s = sizeof(userName);
  if( !GetUserName( userName, &s ) ) {
    sprintf( userName, "anon-%d", timeGetTime() );
  }
#else
  strncpy( userName, getenv( "USER" ), sizeof(userName) );
  userName[63] = 0;
#endif
  return userName;
}
