

#if !defined( mymine_h )
#define mymine_h

#include "myexplodable.h"
#include <list>

class MyMine : public Explodable< MySystem > {
  public:
    MyMine( Vector3 const & p, GLShader *, I_GL_ASE * );
    ~MyMine();
    void preStep();
    bool wantsContact( dContact & c, MySystemBase * other, dGeomID you, dGeomID him, bool firstTest );
    static void preStepAll();
    static void postStepAll();
    static void renderAll();
  protected:
    double time_;
    bool cameraCut_;
    static std::vector< MySystem * > activeMines_;
};

class I_Weapon;

I_Weapon * NewMineWeapon();

#endif  //  mymine_h
