
#if !defined( wavformat_h )
#define wavformat_h

struct WAVFileHeader {
  unsigned int riff;
  unsigned int size;
  unsigned int wave;
};

struct WAVChunkHeader {
  unsigned int tag;
  unsigned int size;
};

struct WAVFmtHeader {
  unsigned short    format;
  unsigned short    samplesPerFrame;
  unsigned int      framesPerSecond;
  unsigned int      bytesPerSecond;
  unsigned short    frameSize;
  unsigned short    bitsPerSample;
};

#define RIFF_TAG 'FFIR'
#define WAVE_TAG 'EVAW'
#define FMT__TAG ' tmf'
#define DATA_TAG 'atad'

#define INT_PCM_FORMAT 1
#define FLOAT_PCM_FORMAT 3

#endif  //  wavformat_h
