
#if !defined( xmlutil_h )
#define xmlutil_h

//  This file contains includes that are special to my 
//  project's datatypes, and are not as re-usable as 
//  the core XML scanner.

#include "xmlscanner.h"

#include "mymath.h"

#include <string>

namespace XMLUtil {
  char const * CDATA( XMLNode * n, size_t & len );
  bool ToNumber( XMLNode * n, size_t & u );
  bool ToNumber( XMLNode * n, int & u );
  bool ToNumber( XMLNode * n, float & u );
  bool ToNumber( XMLNode * n, double & u );
  bool ToBool( XMLNode * n, bool & u );
  bool ToText( XMLNode * n, char * str, size_t size );
  bool ToText( XMLNode * n, std::string & str );
  bool ToVector( XMLNode * n, Vector3 & v );
}

#endif  //  xmlutil_h

